Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.hammurapi.eventbus
Enum EventHandlerBase.Mode

Show UML class diagram

    java.lang.Object
      java.lang.Enum<EventHandlerBase.Mode>
          com.hammurapi.eventbus.EventHandlerBase.Mode

All Implemented Interfaces:
  Serializable, Comparable<EventHandlerBase.Mode>

Enclosing interface:
  EventHandlerBase<E,P extends Comparable<P>,C>

    public static enum EventHandlerBase.Mode

extends Enum<EventHandlerBase.Mode>

Event handler mode. Post - handler is fired when event is posted. Remove - handler is fired when event is removed. Both - handler is fired when event is posted and when event is removed.

Enum Constant Summary
`BOTH`
`POST`
`REMOVE`

Method Summary
`static EventHandlerBase.Mode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static EventHandlerBase.Mode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### POST

    public static final EventHandlerBase.Mode POST

### REMOVE

    public static final EventHandlerBase.Mode REMOVE

### BOTH

    public static final EventHandlerBase.Mode BOTH

Method Detail

### values

    public static EventHandlerBase.Mode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (EventHandlerBase.Mode c : EventHandlerBase.Mode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static EventHandlerBase.Mode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD